FLANG

Public Member Functions | List of all members
Fortran::runtime::TypeCode Class Reference

## Public Member Functions
| TypeCode (ISO::CFI_type_t t)
| TypeCode (TypeCategory, int kind)
int | raw () const
constexpr bool | IsValid () const
constexpr bool | IsInteger () const
constexpr bool | IsReal () const
constexpr bool | IsComplex () const
constexpr bool | IsCharacter () const
constexpr bool | IsLogical () const
constexpr bool | IsDerived () const
constexpr bool | IsIntrinsic () const

The documentation for this class was generated from the following files:

- runtime/type-code.h
- runtime/type-code.cpp